Weapons that are currently unusable in Survival due to 1.4.4 (including PvP notes)

With the 1.4.4 update, many weapons got new debuffs that inflict newer debuffs that were previously unable to be applied. This causes the game to kick you from the server, since you are adding a new debuff unable to be inflicted in 1.4.1 (the current server version). Here is the list of weapons that I am aware about that causes kicks :

Blood Butcher image

Hel-fire image

Cool Whip image

Invalid projectile error (it deals damage in Survival but isn’t visible to other players, in PvP it shows that you did deal damage but you will get no damage from projectiles)

Nights Edge (Banned from PvP)image

True Nights Edge (Banned from PvP)image

Excalibur image

True Excalibur image

Terra Blade (Banned from PvP)image

Please feel free to add any more weapons to this list here or in the comments.

Removed from list:

Amarok yoyo

Firecracker image

Frostbrand image

Flower of Frost image

5 Likes

Glasia and Nate, the new projectiles still do dmg to enemies though, only in Survival (they don’t work in the PvP dimesntion I think)

3 Likes

@twofoursixeight i tested the amarock and it seems fine, removing for now (unless it is not working on PC)

3 Likes

so the frostbite debuff works good in 1.4.4?

4 Likes

Idk, I just know my amarock didn’t kick me lol

3 Likes

can you check the frost staff? it got the frostbite debuff in 1.4.4

3 Likes

If I get it yes

3 Likes

fixed, firecracker is ok for now

3 Likes

Slightly shortened the post in length using shorter words.

4 Likes

Thank you, this will really be helpful for others!

2 Likes